]> git.pld-linux.org Git - packages/rpm.git/blob - rpm-requireseq.patch
- updated for 4.4.8
[packages/rpm.git] / rpm-requireseq.patch
1 --- rpm-4.4.3/macros.in.orig    2005-11-19 01:16:40.317790760 +0100
2 +++ rpm-4.4.3/macros.in 2005-11-19 01:17:48.254462816 +0100
3 @@ -1298,7 +1298,7 @@
4  #      %dir %{perl_sitearch}/auto/Image
5  #
6  
7 -%requires_eq() %(LC_ALL="C" echo '%*' | xargs -r rpm -q --qf 'Requires: %%{name} = %%{epoch}:%%{version}\\n' | sed -e 's/ (none):/ /' -e 's/ 0:/ /' | grep -v "is not")
8 +%requires_eq() %(echo '%*' | LC_ALL="C" xargs -r rpm -q --qf 'Requires: %%{name} = %%{epoch}:%%{version}\\n' | sed -e 's/ (none):/ /' -e 's/ 0:/ /' | grep -v "is not")
9  
10  %perl_sitearch %(eval "`%{__perl} -V:installsitearch`"; echo $installsitearch)
11  %perl_sitelib  %(eval "`%{__perl} -V:installsitelib`"; echo $installsitelib)
This page took 0.041421 seconds and 3 git commands to generate.